using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using Domain;

namespace Dao
{
    public interface IHostFaultsRepository : IRepository<HostFaults>
	{
        IQueryable<HostFaults> LoadAllByPage(out long total, int page, int rows, string order, string sort, int hotelID);

        HostFaults Get(int hostID, string address);

        IList<object[]> LoadCurrentHostFaultStatistics(int hotelID, IList<int> groupIDs, int type);

        //IList<object[]> LoadCurrentHostFault(int hostID);

        IList<object[]> LoadHostFault(int hostID);

        void DeleteByAddress(string address, int roomTypeID);

        void DeteleByHostID(int hostID);
	}
}
